Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class Errors

    java.lang.Object
      org.apache.tapestry5.corelib.components.Errors

    public class Errors

extends java.lang.Object

Standard validation error presenter. Must be enclosed by a `Form` component. If errors are present, renders a div element around a banner message and around an unnumbered list of error messages. Renders nothing if the `ValidationTracker` shows no errors.

See Also:
  `Form`

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
banner | The banner message displayed above the errors. The default value is "You must correct the following errors before you may continue.". | String |  | message:default-banner | prop |
class | The CSS class for the div element rendered by the component. The default value is "t-error". | String |  |  | prop |

Examples:

  The Errors component automatically connects with the Form that encloses it. Just place the component inside a Form.

  ### Search.tml

      <html xmlns:t="http://tapestry.apache.org/schema/tapestry_5_0_0.xsd">
          <body>

          <t:form>

              <t:errors/>

              <t:label for="search"/>
              <t:textfield t:id="search"/>

              <input type="submit" value="Search"/>

          </t:form>

          </body>
      </html>

  The Errors component here will display any validation errors that occur when the form is submitted.

Constructor Summary
`Errors()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Errors

    public Errors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.